<template>
  <div>
    <ColumnItem v-for="(item, index) in list" :key="index" :item="item" />
    <Empty v-if="!list.length" text="暂无订阅数据" />
  </div>
</template>

<script setup>
import { ref } from "vue";
import ColumnItem from "@/components/ColumnItem.vue";
import { getMyLiveColumnList } from "@/api/column";

const list = ref([]);
const getList = async () => {
  let ret = await getMyLiveColumnList();
  if (ret.code === 0) {
    list.value = ret.data;
  }
};
getList();
</script>
<style scoped lang="scss"></style>
